[@rxap/forms](../wiki/globals) / AsyncValidatorFn

# Type Alias: AsyncValidatorFn()\<T, E\>

> **AsyncValidatorFn**\<`T`, `E`\>: (`control`) => `Promise`\<[`ValidationErrors`](../wiki/TypeAlias.ValidationErrors)\<`E`\> \| `null`\> \| `Observable`\<[`ValidationErrors`](../wiki/TypeAlias.ValidationErrors)\<`E`\> \| `null`\>

Defined in: [packages/angular/forms/src/lib/types.ts:17](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/types.ts#L17)

## Type Parameters

• **T** = `any`

• **E** = `any`

## Parameters

### control

[`AbstractControl`](../wiki/Interface.AbstractControl)\<`T`\>

## Returns

`Promise`\<[`ValidationErrors`](../wiki/TypeAlias.ValidationErrors)\<`E`\> \| `null`\> \| `Observable`\<[`ValidationErrors`](../wiki/TypeAlias.ValidationErrors)\<`E`\> \| `null`\>
